Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.meta
Class StateVariable<S extends Service>

    java.lang.Object
      org.teleal.cling.model.meta.StateVariable<S>

All Implemented Interfaces:
  Validatable

    public class StateVariable<S extends Service>

extends Object
implements Validatable

The metadata of a named state variable.

Author:
  Christian Bauer

Constructor Summary
`StateVariable(String name, StateVariableTypeDetails type)`
`StateVariable(String name, StateVariableTypeDetails type, StateVariableEventDetails eventDetails)`

Method Summary
`StateVariable<S>` | `deepCopy()`
`StateVariableEventDetails` | `getEventDetails()`
`String` | `getName()`
`S` | `getService()`
`StateVariableTypeDetails` | `getTypeDetails()`
`boolean` | `isModeratedNumericType()`
`String` | `toString()`
`List<ValidationError>` | `validate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StateVariable

    public StateVariable(String name,
                         StateVariableTypeDetails type)

### StateVariable

    public StateVariable(String name,
                         StateVariableTypeDetails type,
                         StateVariableEventDetails eventDetails)

Method Detail

### getName

    public String getName()

### getTypeDetails

    public StateVariableTypeDetails getTypeDetails()

### getEventDetails

    public StateVariableEventDetails getEventDetails()

### getService

    public S getService()

### validate

    public List<ValidationError> validate()

  Specified by:
    `validate` in interface `Validatable`
  Returns:
    An empty `List` if all rules validated properly, otherwise, the detected errors.

### isModeratedNumericType

    public boolean isModeratedNumericType()

### deepCopy

    public StateVariable<S> deepCopy()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.